<?php
require_once('php/murder/plugin.inc'); 

class DefaultRenderer extends PageRenderer
{

	public function mainContent($page)
	{

		if(($user=page()->getUser()) && !$user->isHidden())
		{
			echo "<p>" . $user->getName() . " ( " . $user->getLogin() . " )</p>";
			echo "<p>Home: " . $user->getHomePhone() ."</p>\n";
			echo "<p>Work: " . $user->getWorkPhone() ."</p>\n";
			echo "<pre>plan: " . $user->getPlan() . '</pre>';
			echo "<pre>project: " . $user->getProject() . '</pre>';
			echo "<pre>" . $user->getPGPKey() . '</pre>';
			if($user->hasWeb()) echo "<p>Has a web site!</p>";
		}
		
		echo "<ul>";
		foreach(UserStore::getInstance()->getUsers() as $u)
		{
			$login = $u->getLogin();
			echo "<li><a href='/~${login}/'>" . $u->getName() ."</a></li>\n";
		}
		echo "</ul>";

	}

}
registerp(array('application/xhtml+xml' => "DefaultRenderer"), "/");
registerp(array('*' => "DefaultRenderer"), "/"); # make this the default in case of a priority conflict

?>
