<?php
####
#### Configuration settings
####
#### You should not change this file.
#### For a local installation, edit config.local.inc
#### If that file exists, it will be included after
#### this file.
####

config(	'MAIL_DOMAIN',	'CORE',	$_SERVER['SERVER_NAME']);
config(	'XMPP_DOMAIN',	'CORE',	'');


#### These are sort-of-sane defaults
config(	'DEFAULT_PAGE_TITLE',	'CORE',	$_SERVER['SERVER_NAME'] . ' Murder');
config(	'GROUP',	'CORE',	'users');
config(	'HTTP_CACHE_MAX_AGE',	'CORE',	3600);
config(	'INDEX',	'WEB',	'index default home');



### These shouldn't need to be changed
config(	'USER_LIST',	'CORE',	'/etc/passwd');
config(	'GROUP_LIST',	'CORE',	'/etc/group');
config(	'USER_NOFINGER','CORE',	'.nofinger');
config(	'USER_PGPKEY', 	'CORE',	'.pgpkey');
config(	'USER_PLAN', 	'CORE',	'.plan');
config(	'USER_PROJECT', 'CORE',	'.project');
config(	'WEB_DIR', 	'CORE',	'public_html');
config(	'USER_BASE',	'CORE',	'.murder');
config(	'USER_IMAGE',	'CORE',	'me.jpeg');

config(	'PLUGIN_DIR',	'CORE',	dirname($_SERVER['SCRIPT_FILENAME']) . '/plugins/enabled/');

?>
